import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../repository/auth_repository.dart';

class LoginUseCase implements UseCase<DataState<String>, String> {
  final AuthRepository repository;
  LoginUseCase(this.repository);

  @override
  Future<DataState<String>> call(String params) => repository.loginOtp(params);
}
